/*
 * PmodACL.h
 *
 *  Created on: Oct 31, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODACL_H_
#define PMODACL_H_

#include <stdint.h>

/**
 * @brief Configure Pmod connector pins. The INT2 line is not used.
 *        PB0  -> ~CS
 *        PA7  -> MOSI
 *        PE14 -> MISO
 *        PA1  -> SCK
 *        PE12 -> INT2
 *        PE13 -> INT1
 */
void PmodACL_Config(void);

/**
 * @brief Get the acceleration on each axis in [mg].
 */
void PmodACL_ReadXYZ(int16_t* x, int16_t* y, int16_t* z);

/**
 * @brief Read and clear the interrupt status register.
 */
uint8_t PmodACL_ReadInterruptFlags(void);

#endif /* PMODACL_H_ */
